Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.nbmodule
Class ClassFileNode

    java.lang.Object
      java.beans.FeatureDescriptor
          org.openide.nodes.Node
              org.openide.nodes.AbstractNode
                  org.gjt.jclasslib.nbmodule.ClassFileNode

public class ClassFileNode
extends AbstractNode

Node for a `ClassFileViewer` component.

Version:
  $Revision: 1.4 $ $Date: 2003/08/18 07:57:52 $
Author:
  Ingo Kegel

Nested Class Summary
`static class` | `ClassFileNode.ClassFileNodeHandle` Node handle for a `ClassFileNode`.

Nested classes inherited from class org.openide.nodes.Node
`Node.Cookie, Node.Handle, Node.IndexedProperty, Node.Property, Node.PropertySet`

Field Summary

Fields inherited from class org.openide.nodes.AbstractNode
`displayFormat, systemActions`

Fields inherited from class org.openide.nodes.Node
`EMPTY, PROP_COOKIE, PROP_DISPLAY_NAME, PROP_ICON, PROP_NAME, PROP_OPENED_ICON, PROP_PARENT_NODE, PROP_PROPERTY_SETS, PROP_SHORT_DESCRIPTION`

Constructor Summary
`ClassFileNode(org.openide.filesystems.FileObject fo)` Constructor.

Method Summary
`org.openide.filesystems.FileObject` | `getFileObject()` Get the associated file object.
`Node.Handle` | `getHandle()` Get the associated node handle.

Methods inherited from class org.openide.nodes.AbstractNode
`canCopy, canCut, canDestroy, canRename, clipboardCopy, clipboardCut, cloneNode, createActions, createPasteTypes, createSheet, drag, getActions, getCookie, getCookieSet, getCustomizer, getDefaultAction, getDropType, getHelpCtx, getIcon, getNewTypes, getOpenedIcon, getPasteTypes, getPropertySets, getSheet, hasCustomizer, setCookieSet, setDefaultAction, setIconBase, setName, setSheet`

Methods inherited from class org.openide.nodes.Node
`addNodeListener, addPropertyChangeListener, clone, destroy, fireCookieChange, fireDisplayNameChange, fireIconChange, fireNameChange, fireNodeDestroyed, fireOpenedIconChange, firePropertyChange, firePropertySetsChange, fireShortDescriptionChange, getChildren, getContextActions, getContextMenu, getParentNode, hasPropertyChangeListener, isLeaf, removeNodeListener, removePropertyChangeListener, setDisplayName, setShortDescription, toString`

Methods inherited from class java.beans.FeatureDescriptor
`attributeNames, getDisplayName, getName, getShortDescription, getValue, isExpert, isHidden, isPreferred, setExpert, setHidden, setPreferred, setValue`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassFileNode

    public ClassFileNode(org.openide.filesystems.FileObject fo)

  Constructor.

Parameters:
  `fo` - the file object.

Method Detail

### getFileObject

    public org.openide.filesystems.FileObject getFileObject()

  Get the associated file object.

  Returns:
    the file object.

### getHandle

    public Node.Handle getHandle()

  Get the associated node handle.

  Returns:
    the node handle.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD